package cn.estsh.i3plus.ext.mes.pcn.api.base;


import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesProdShiftRecord;
import cn.estsh.i3plus.pojo.mes.bean.MesShift;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

/**
 * @Description: 产线与班次的对应关系
 * @Author: gsz
 * @Date: 2024/5/25 18:16
 * @Modify:
 */
public interface IMesShiftService {

    @ApiOperation(value = "查询产线与班次的对应关系")
    ListPager<MesShift> queryMesShiftByPager(MesShift mesShift, Pager pager);

    @ApiOperation(value = "查询产线与班次的对应关系")
    List<MesShift> queryMesShift(String organizeCode, String workCenterCode);

    @ApiOperation(value = "获取当前班次时间日期")
    Map<String,String> getShiftTimeMap(MesProdShiftRecord record);

    @ApiOperation(value = "根据当前时间计算实际整天班次的时间")
    Map<String, String> calcAllDayShiftTimeMapByCurTime(String organizeCode, String workCenterCode);

    @ApiOperation(value = "根据当前时间计算当前班次的时间")
    Map<String, String> calcCurShiftTimeMapByCurTime(String organizeCode, String workCenterCode);

    @ApiOperation(value = "计算天数")
    String calcDay(String day, int amount);

}
